<?php
namespace MediaEssenz\MeGoogleCalendar\Utility;

use \TYPO3\CMS\Core\Utility\GeneralUtility;

/***************************************************************
 *  Copyright notice
 *
 *  (c) 2015 Alexander Grein
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

/**
 * Last Modified:
 * Date: 11.12.13
 * Time: 19:54
 */
class eidGetIcs
{
    public function main()
    {

        $timezone = new \DateTimeZone('UTC');

        $dtstartDateTime = new \DateTime(GeneralUtility::removeXSS(GeneralUtility::_GP('dtstart')), $timezone);
        $dtstartDate = $dtstartDateTime->format('Ymd');
        $dtstartTime = $dtstartDateTime->format('His');
        $dtstartTimeShort = $dtstartDateTime->format('Hi');

        $dtendDateTime = new \DateTime(GeneralUtility::removeXSS(GeneralUtility::_GP('dtend')), $timezone);
        $dtendDate = $dtendDateTime->format('Ymd');
        $dtendTime = $dtendDateTime->format('His');
        $dtendTimeShort = $dtendDateTime->format('Hi');

        header('Content-type: text/calendar');
        header('Content-Disposition: attachment; filename=' . urlencode(GeneralUtility::removeXSS(GeneralUtility::_GP('summary'))) . '_' . $dtstartDate . '_' . $dtstartTimeShort . '-' . $dtendDate . '_' . $dtendTimeShort . '.ics');
        header('Pragma: no-cache');
        header('Expires: 0');

        $content = 'BEGIN:VCALENDAR
VERSION:2.0
PRODID:TYPO3//MeGoogleCalendar
CALSCALE:GREGORIAN
METHOD:PUBLISH
BEGIN:VEVENT
UID:' . GeneralUtility::removeXSS(GeneralUtility::_GP('uid')) . '
SUMMARY:' . GeneralUtility::removeXSS(GeneralUtility::_GP('summary')) . '
DTSTAMP:' . date('Ymd\THis\Z') . '
DTSTART:' . $dtstartDate . 'T' . $dtstartTime . 'Z
DTEND:' . $dtendDate . 'T' . $dtendTime . 'Z
DESCRIPTION: ' . GeneralUtility::removeXSS(GeneralUtility::_GP('description')) . '
LOCATION:' . GeneralUtility::removeXSS(GeneralUtility::_GP('location')) . '
END:VEVENT
END:VCALENDAR';

        echo $content;
        exit();
    }
}

$eid = GeneralUtility::makeInstance('TYPO3\\MeGoogleCalendar\\Utility\\eidGetIcs');
$eid->main();
